require File.expand_path("../lib/friendly_id/version", __FILE__)

spec = Gem::Specification.new do |s|
  s.name              = "friendly_id"
  s.rubyforge_project = "friendly-id"
  s.version           = FriendlyId::Version::STRING
  s.authors           = ["Norman Clarke", "Adrian Mugnolo", "Emilio Tagua"]
  s.email             = ["norman@njclarke.com", "adrian@mugnolo.com", "miloops@gmail.com"]
  s.homepage          = "http://norman.github.com/friendly_id"
  s.summary           = "A comprehensive slugging and pretty-URL plugin."
  s.description       = <<-EOM
    FriendlyId is the "Swiss Army bulldozer" of slugging and permalink plugins
    for Ruby on Rails. It allows you to create pretty URL’s and work with
    human-friendly strings as if they were numeric ids for ActiveRecord models.
  EOM

  s.platform                  = Gem::Platform::RUBY

  s.has_rdoc         = true
  s.test_files       = Dir.glob "test/**/*_test.rb"
  s.files            = Dir["lib/**/*.rb", "lib/**/*.rake", "*.md", "LICENSE",
    "Rakefile", "rails/init.rb", "generators/**/*.*", "test/**/*.*",
    "extras/**/*.*" ]

  s.add_dependency "babosa", ">= 0.1.0"

end
